#include <bits/stdc++.h>

using namespace std;

pair<long long, long long> medijana(long long n, long long* a){
    pair<long long, long long> m;
    if(n%2==1){
        m.first=a[n/2];
        m.second=n/2;
    }
    else{
        long long b1=a[n/2-1], b2=a[n/2];
        if(b1>b2){
            m.first=b1;
            m.second=n/2-1;
        }
        else{
            m.first=b2;
            m.second=n/2;
        }
    }
    return make_pair(m.first, m.second);
}

int main()
{
    long long n,q,x;
    cin>>n>>q;
    long long a[n],b;
    for(long long i=0;i<n;i++)
        cin>>a[i];
    sort(a,a+n);
    pair<long long, long long> m;
    m=medijana(n,a);
    long long b1,b2,fl;
    for(long long lj=0;lj<q;lj++){
        long long g;
        cin>>g;
        if(g==m.first)
            x=0;
        else if(g<m.first){
            if(g<a[0])
                x=n+1;
            else{
                b1=0;
                fl=n-m.second-1;
                for(long long i=1;i<n/2;i++){
                    if(g<a[i]){
                        b1=i-1;
                        b2=i;
                        break;
                    }
                    else if(g==a[i]){
                        long long b=0;
                        for(long long j=i+1;j<n/2;j++){
                            if(g==a[j])
                                b++;
                            else
                                break;
                        }
                        b1=i+b;
                        b2=i+b;
                        break;
                    }
                }
                if(b1==b2)
                    x=fl+m.second-b2-b1;
                else
                    x=fl+m.second-b2-b1+1;
            }
        }
        else if(g>m.first){
            if(g>a[n-1])
                x=n;
            else{
                b1=0;
                for(long long i=1;i<n/2;i++){
                    if(g>a[n-i-1]){
                        b1=i-1;
                        b2=i;
                        break;
                    }
                    else if(g==a[n-i-1]){
                        long long b=0;
                        for(long long j=n-i-2;j>n/2;j--){
                            if(g==a[j])
                                b++;
                            else
                                break;
                        }
                        b1=i+b;
                        b2=i+b;
                        break;
                    }
                }
                if(b1==b2)
                    x=n-b2-b1-2;
                else
                    x=n-b2-b1-1;
            }
        }
        cout<<x<<endl;
    }
}